Package org.apache.felix.http.base.internal.dispatch

# Class Dispatcher

java.lang.Object
org.apache.felix.http.base.internal.dispatch.Dispatcher

public final class Dispatcher extends Object

## Constructor Summary

Constructors
Constructor
Description
`Dispatcher(HandlerRegistry handlerRegistry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispatch(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`
Responsible for dispatching a given request to the actual applicable servlet and/or filters in the local registry.
`void`
`setWhiteboardManager(@Nullable WhiteboardManager service)`
Set or unset the whiteboard manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Dispatcher

public Dispatcher(HandlerRegistry handlerRegistry)

## Method Details

### setWhiteboardManager

public void setWhiteboardManager(@Nullable @Nullable WhiteboardManager service)
Set or unset the whiteboard manager.

Parameters:
  `service` - The whiteboard manager or `null`

### dispatch

public void dispatch(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res) throws jakarta.servlet.ServletException, IOException
Responsible for dispatching a given request to the actual applicable servlet and/or filters in the local registry.

Parameters:
  `req` - the `ServletRequest` to dispatch;
  `res` - the `ServletResponse` to dispatch.
Throws:
  `jakarta.servlet.ServletException` - in case of exceptions during the actual dispatching;
  `IOException` - in case of I/O problems.